File Index

Main Page | Alphabetical List | Data Structures | File List | Data Fields | Globals

# dmxinputinit.h File Reference

`#include "dmx.h"`
`#include "dmxinput.h"`
`#include "dmxlog.h"`

Go to the source code of this file.

## Data Structures
struct | _DMXEventMap
struct | _DMXLocalInitInfo
struct | _DMXLocalInputInfo
## Typedefs
typedef _DMXLocalInitInfo | DMXLocalInitInfo
typedef _DMXLocalInitInfo * | DMXLocalInitInfoPtr
typedef _DMXEventMap | DMXEventMap
typedef _DMXLocalInputInfo | DMXLocalInputInfoRec
## Functions
DMXLocalInputInfoPtr | dmxInputCopyLocal (DMXInputInfo *dmxInput, DMXLocalInputInfoPtr s)
void | dmxChangePointerControl (DeviceIntPtr pDevice, PtrCtrl *ctrl)
void | dmxKeyboardKbdCtrlProc (DeviceIntPtr pDevice, KeybdCtrl *ctrl)
void | dmxKeyboardBellProc (int percent, DeviceIntPtr pDevice, pointer ctrl, int unknown)
int | dmxInputDetach (DMXInputInfo *dmxInput)
void | dmxInputDetachAll (DMXScreenInfo *dmxScreen)
int | dmxInputDetachId (int id)

## Detailed Description

Interface for low-level input support.

See also:
  dmxinputinit.c

## Typedef Documentation

typedef struct _DMXEventMap DMXEventMap

| Stores a mapping between the device id on the remote X server and the id on the DMX server

typedef struct _DMXLocalInitInfo DMXLocalInitInfo

| Stores information from low-level device that is used to initialize the device at the dix level.

typedef struct _DMXLocalInitInfo * DMXLocalInitInfoPtr

| Stores information from low-level device that is used to initialize the device at the dix level.

typedef struct _DMXLocalInputInfo DMXLocalInputInfoRec

| This is the device-independent structure used by the low-level input routines. The contents are not exposed to top-level .c files (except dmxextensions.c). See also: dmxinput.h dmxextensions.c

## Function Documentation

void dmxChangePointerControl | ( | DeviceIntPtr | pDevice,
|  | PtrCtrl * | ctrl
| ) |

| Change the pointer control information for the pDevice. If the device sends core events, then also change the control information for all of the pointer devices that send core events.

DMXLocalInputInfoPtr dmxInputCopyLocal | ( | DMXInputInfo * | dmxInput,
|  | DMXLocalInputInfoPtr | s
| ) |

| Copy the local input information from s into a new devs slot in dmxInput.

int dmxInputDetach | ( | DMXInputInfo * | dmxInput | ) |

| Detach an input

void dmxInputDetachAll | ( | DMXScreenInfo * | dmxScreen | ) |

| Search for input associated with dmxScreen, and detach.

int dmxInputDetachId | ( | int | id | ) |

| Search for input associated with deviceId, and detach.

void dmxKeyboardBellProc | ( | int | percent,
|  | DeviceIntPtr | pDevice,
|  | pointer | ctrl,
|  | int | unknown
| ) |

| Sound the bell on the device. If the device send core events, then sound the bell on all of the devices that send core events.

void dmxKeyboardKbdCtrlProc | ( | DeviceIntPtr | pDevice,
|  | KeybdCtrl * | ctrl
| ) |

| Change the keyboard control information for the pDevice. If the device sends core events, then also change the control information for all of the keyboard devices that send core events.